Bug 8185 - Plugin for linking records in MARC21
Summary: Plugin for linking records in MARC21
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Zeno Tajoli
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-03 17:20 UTC by Zeno Tajoli
Modified: 2013-05-23 06:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
code of the plugin (24.51 KB, patch)
2012-06-03 17:52 UTC, Zeno Tajoli
Details | Diff | Splinter Review
linking plugin marc21 (24.54 KB, patch)
2012-08-03 13:07 UTC, Zeno Tajoli
Details | Diff | Splinter Review
Bug 8185 Follow-Up: Some more Italian strings changed (1.96 KB, patch)
2012-08-09 16:15 UTC, Mirko Tietgen
Details | Diff | Splinter Review
This is the plugin for linking records in Marc21. (24.56 KB, patch)
2012-08-10 11:39 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 8185 Follow-Up: Some more Italian strings changed (1.96 KB, patch)
2012-08-10 11:47 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 8185 Change some more strings from Italian to English (1.97 KB, patch)
2012-08-11 19:48 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 8185: plugin for linking records in MARC21 (30.65 KB, patch)
2012-08-13 20:54 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8185: Change some more strings from Italian to English (3.92 KB, patch)
2012-08-13 20:54 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8185: Change some more strings from Italian to English (3.98 KB, patch)
2012-08-14 07:13 UTC, Mirko Tietgen
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Zeno Tajoli 2012-06-03 17:20:48 UTC
In cataloguing/value_builder there is a plugin for linking records.
But is only for unimarc  (unimarc_field_4XX.pl).
We need a plugin also for MARC21
Comment 1 Zeno Tajoli 2012-06-03 17:52:20 UTC Comment hidden (obsolete)
Comment 2 Zeno Tajoli 2012-06-03 17:54:53 UTC
This is the plugin for linking records in Marc21.
It works like the unimarc plugin unimarc_field_4XX.
It insert: 
$9 -> biblionumber 
$w -> 001 $t -> 245$a (title )
$x -> 022$a (ISSN)
$z -> 020$a (ISBN)
The search is done on 'any' index. Data are inserted only in the working record.
To insert data in the connected record, you need to open 
the other record.
Comment 3 Mirko Tietgen 2012-06-08 21:16:02 UTC
- I set up sandbox 8 (http://pro.test8.biblibre.com/) to display 773 9, t, w, x, z in default marc framework
- linked the new plugin for subfield 9
- added a second biblio
- added data in 001, 020, 022 to second biblio, saved
- opened first biblio (sandbox test)
- clicked plugin button at 777$9
- searched for "test"
- chose biblio2 (marc21 test)

All data was added to fields 773 9, t, w, x, z, script is functional.

But it is in Italian. Text comes from tt file so it should be translatable strings instead.
Comment 4 Zeno Tajoli 2012-06-09 09:35:13 UTC
Correct, there are strings in italian.
I update a new version full in english as soon as possible
Comment 5 Zeno Tajoli 2012-08-03 13:07:03 UTC Comment hidden (obsolete)
Comment 6 Zeno Tajoli 2012-08-03 13:26:55 UTC
Now the plugin is all in english
Comment 7 Mirko Tietgen 2012-08-09 16:15:51 UTC Comment hidden (obsolete)
Comment 8 Mirko Tietgen 2012-08-09 16:19:40 UTC
Functionality is still fine, but I found more Italian strings. Sent a followup patch, somebody else needs to signoff.
Comment 9 Mirko Tietgen 2012-08-10 11:39:52 UTC Comment hidden (obsolete)
Comment 10 Mirko Tietgen 2012-08-10 11:47:53 UTC Comment hidden (obsolete)
Comment 11 Mirko Tietgen 2012-08-10 11:56:19 UTC
I signed off on Zeno's patch. It works as expected. Since it had some Italian inside I provided a tiny followup. Only the followup needs a signoff by verifying that there is no Italian in the plugin.
Comment 12 Jared Camins-Esakov 2012-08-11 10:45:00 UTC
Mirko, I tried to apply the follow-up on top of the original signed off patch, but got the following error:


Commit Body is:
--------------------------
Bug 8185 Follow-Up: Some more Italian strings changed
--------------------------
Apply? [y]es/[n]o/[e]dit/[v]iew patch/[a]ccept all y
Applying: Bug 8185 Follow-Up: Some more Italian strings changed
/home/jcamins/kohaclone/.git/rebase-apply/patch:14: tab in indent.
		<h2>Search for</h2>
fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/cataloguing/value_builder/marc21_linking_section.tt).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 8185 Follow-Up: Some more Italian strings changed
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".

Should there be another follow-up in between the two?
Comment 13 Mirko Tietgen 2012-08-11 19:40:43 UTC
Jared, thanks for trying. That is odd, seems like I screwed something up when I signed off the first patch. I'll redo the second patch.
Comment 14 Mirko Tietgen 2012-08-11 19:48:40 UTC Comment hidden (obsolete)
Comment 15 Mirko Tietgen 2012-08-11 19:51:48 UTC
I redid the second patch and checked that both patches apply cleanly for me.
Comment 16 Jared Camins-Esakov 2012-08-13 20:54:22 UTC
Created attachment 11587 [details] [review]
Bug 8185: plugin for linking records in MARC21

This plugin works like the unimarc plugin unimarc_field_4XX. It
 insert: $9 -> biblionumber $w -> 001 $t -> 245$a (title )
 $x -> 022$a (ISSN) $z -> 020$a (ISBN) The search is done on
 'any' index. Data are inserted only in the working record.
 To insert data in the connected record, you need to open
 the other record.

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 17 Jared Camins-Esakov 2012-08-13 20:54:35 UTC Comment hidden (obsolete)
Comment 18 Chris Cormack 2012-08-14 01:11:32 UTC
Looks like this is supposed to be signed off, both patches are signed off
Comment 19 Mirko Tietgen 2012-08-14 07:13:57 UTC
Created attachment 11596 [details] [review]
Bug 8185: Change some more strings from Italian to English

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Two additional corrections

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 20 Mirko Tietgen 2012-08-14 07:17:13 UTC
(Mit Bezug zu comment 18)
> Looks like this is supposed to be signed off, both patches are signed off

Jared signed off my corrections, added two more and asked me to sign them off, so he left it "Needs signoff". I signed off now, we're ready for QA.
Comment 21 Paul Poulain 2012-09-19 13:59:00 UTC
QA comment:
 * passes perlcritic & valid-templates
 * plugin written like all other plugins

passed QA
Comment 22 Paul Poulain 2012-09-19 13:59:25 UTC
Patch pushed to master

(untested, MARC21 specific & no side effect possible)